SIZE(1)

NAME
size - display the size of an object file

SYNOPSIS
size [ object-file ... ]

Sun386i SYNOPSIS
/usr/bin/size [-n] [-f] [-o] [-x] [-V] filename ...

DESCRIPTION
size prints the (decimal) number of bytes required by the text, data, and bss portions, and their sum in hex and decimal, of each object-file argument. If no file is specified, a.out is used.

Sun386i DESCRIPTION
The Sun386i version of the System V compatibility package includes /usr/bin/size, which allows the System V options to be used, and creates the same output as the System V size(1) command; it produces section size information in bytes for each loaded section in COFF files. The size of the text, data, and bss (uninitialized data) sections is printed, as well as the sum of the sizes of these sections. If an archive file is given, it displays the information for all archive members.

Sun386i OPTIONS

-n  Includes NOLOAD sections in the size.

-f  Produces full output, that is, it prints the size of every loaded section, followed by the section name in parentheses.

-o  Print numbers in octal, instead of the default which is decimal.

-x  Print numbers in hexadecimal.

-V  Supply version information.

Sun386i DIAGNOSTICS

size: name: cannot open
    name cannot be read.

size: name: bad magic
    name is not an appropriate common object file.

Sun386i WARNINGS
Since the size of bss sections is not known until link-edit time, this command does not give the true total size of pre-linked objects.

SEE ALSO
cc(1V), size(1), a.out(5), ar(5), coff(5)